require_relative 'boolean'

module Qdsl
  class And < Boolean
    def initialize(exprs)
      super 'AND', exprs
    end

    def to_expression
      self
    end

    def and(expr)
      And.new(@exprs + [expr])
    end

    def true?
      IsTrue.new(self)
    end
  end
end

