module Qdsl
  class TableQuery
    attr_reader :column_names

    def initialize(name, column_names)
      @name = name
      @column_names = column_names
    end

    def render(context, depth, id)
      RenderResult.new(id, "#{@name} AS #{id}\n", @column_names, {})
    end
  end
end

