module Qdsl
  class Context
    def initialize
      @id_base = 0
      @parameter_id_base = 0
    end

    def create_id
      result = "_#{@id_base.to_s.rjust(2, '0')}"
      @id_base += 1
      result
    end

    def create_parameter_id
      result = "_param#{@parameter_id_base.to_s.rjust(2, '0')}"
      @parameter_id_base += 1
      result
    end
  end
end

