module Qdsl
  class Equals < Expression
    def initialize(column0, column1)
      @column0 = column0
      @column1 = column1
    end

    def to_expression
      self
    end

    def render_sql(context, ids)
      column0_result = render_operand(context, ids, @column0)
      column1_result = render_operand(context, ids, @column1)
      parameters = column0_result.parameters.merge(column1_result.parameters)
      SimpleRenderResult.new("#{column0_result.sql} = #{column1_result.sql}", parameters)
    end
  end
end

