require_relative 'boolean'

module Qdsl
  class Or < Boolean
    def initialize(exprs)
      super 'OR', exprs
    end

    def to_expression
      self
    end

    def or(expr)
      Or.new(@exprs + [expr])
    end

    def true?
      IsTrue.new(self)
    end
  end
end

