module Qdsl
  class Table
    attr_reader :column_names

    def initialize(name, *column_names)
      @name = name
      @column_names = column_names.collect(&:to_s)
    end

    def create_query
      TableQuery.new(@name, @column_names)
    end
  end
end

